<div class="main-panel">
    <div class="content-wrapper">
        <div class="after-con mob-p0">
            <div class="row"><br>

                <h3 class="pt-2">Coupon de réduction</h3>
            </div>
            <div class="row mt-3">
                <div class="col-lg-12">
                    <ul class="nav nav-pills sale-pil" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-bs-toggle="pill" href="#home">Tous</a>
                        </li>

                    </ul>
                    <!-- Tab panes -->
                </div>
                <div><br>
                    <button class="btn btn-back" style="float: left;" data-bs-toggle="modal" data-bs-target="#myModal"><b>+ Créer un coupon</b></button>
                </div>


            </div>
            <div class="row" *ngIf="orders">
                <div class="col-12 grid-margin">
                    <div class="tab-content">
                        <div id="home" class="container tab-pane active p-0">
                            <br>
                            <div class="table-responsive br-6">
                                <table class="table tbl-sell tbl-txt ">
                                    <thead class="th-bg">
                                        <tr>
                                            <!-- <th>Code Vocher | Nom</th>
                                            <th>Type</th>
                                            <th>Acheteur cible</th>
                                            <th>Montant de l'escompte</th>
                                            <th>Limite d'utilisation</th>
                                            <th>Utilisation</th>
                                            <th>Statut</th>
                                            <th>Actions</th> -->

                                            <th>Code Vocher | Nom</th>
                                            <th>Type</th>
                                            <th>Date de début</th>
                                            <th>Valeur</th>
                                            <th>Limite d'utilisation</th>
                                            <th>Utilisé</th>
                                            <th>Date de fin</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let d of orders">

                                            <td>
                                                <div class="row">

                                                    <div class="col-lg-10">
                                                        <p class="name-p">{{d.code}}</p>
                                                        <p class="sku-p">{{d.name}}</p>

                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <p *ngIf="d.type == 'p'">Pourcentage</p>
                                                <p *ngIf="d.type == 'a'">Montant</p>

                                            </td>
                                            <td>
                                                {{d.start_date | date:'MMMM d, y'}}
                                            </td>
                                            <td>
                                                {{d.discountamount}}.00 CFA
                                            </td>
                                            <td>
                                                {{d.limit}}
                                            </td>
                                            <td>
                                                {{d.used}}

                                            </td>
                                            <td>
                                                {{d.end_date | date:'MMMM d, y'}}
                                            </td>

                                            <td>

                                                <button class="btn btn-danger" (click)="deleteCoupen(d._id)"><i
                                                        class="fa fa-trash"></i></button>
                                                <button class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#myModal1" (click)="getCoupon(d._id)"><i
                                                        class="fa fa-edit"></i></button>
                                            </td>
                                        </tr>
                                        <tr *ngIf="orders.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Pas de coupens trouvés</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header modl-hder">
                <!-- <h4 class="modal-title">Modal Heading</h4> -->
                <button type="button" class="btn-cncl" data-bs-dismiss="modal"><i
                        class="fa-solid fa-xmark"></i></button>
            </div>

            <!-- Modal body -->
            <div class="modal-body modal-height">
                <app-add-coupon></app-add-coupon>
            </div>

            <!-- Modal footer -->
            <!-- <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
          </div> -->

        </div>
    </div>
</div>

<div class="modal" id="myModal1">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header modl-hder">
                <!-- <h4 class="modal-title">Modal Heading</h4> -->
                <button type="button" class="btn-cncl" data-bs-dismiss="modal"><i
                        class="fa-solid fa-xmark"></i></button>
            </div>

            <!-- Modal body -->
            <div class="modal-body modal-height">
                <form class="sign-m" [formGroup]="registerform" (ngSubmit)="addCoupen()">
                    <h3><b>Créer une nouvelle commande</b></h3>

                    <div class="mb-3">
                        <label for="name" class="form-label mb-1">Nom du coupon</label>
                        <input type="text" class="form-control" id="name" name="name" formControlName="name">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('name')?.touched && registerform.get('name')?.hasError('required')">
                        <h4> <b>Le nom du coupon est obligatoire</b></h4>
                    </div>
                    <div class="mb-3">
                        <label for="name" class="form-label mb-1">Code</label>
                        <input type="text" class="form-control" id="name" name="name" formControlName="code">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('code')?.touched && registerform.get('code')?.hasError('required')">
                        <h4> <b>Le code du coupon est requis</b></h4>
                    </div>
                    <div class="mb-3">
                        <label for="name" class="form-label mb-1">Date de début</label>
                        <!-- <input type="date" class="form-control" id="name" name="name" formControlName="start_date"> -->
                        <mat-form-field class="form-control">
                            <input matInput [matDatepicker]="dp" placeholder="dd/mm/aaaa" formControlName="start_date">
                            <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
                            <mat-datepicker #dp></mat-datepicker>
                        </mat-form-field>
                        <div class="errormsg" *ngIf="registerform.get('start_date')?.touched && registerform.get('start_date')?.hasError('required')">
                            <br>
                            <h4> <b>Le date de début est requise</b></h4>
                        </div>

                    </div>
                    <div class="mb-3">
                        <label for="name" class="form-label mb-1">Date de fin</label>
                        <!-- <input type="date" class="form-control" id="name" name="name" formControlName="end_date"> -->
                        <mat-form-field>
                            <input matInput [matDatepicker]="dp1" placeholder="mm/dd/aaaa" formControlName="end_date">
                            <mat-datepicker-toggle matSuffix [for]="dp1"></mat-datepicker-toggle>
                            <mat-datepicker #dp1></mat-datepicker>
                        </mat-form-field>
                        <div class="errormsg" *ngIf="registerform.get('end_date')?.touched && registerform.get('end_date')?.hasError('required')">
                            <br>
                            <h4> <b>Le date de fin est requise</b></h4>
                        </div>
                    </div>
                    <div class="mb-3">
                        <label for="name" class="form-label mb-1">Type</label>
                        <!-- <input type="number" class="form-control" id="name" name="name"  > -->
                        <select name="" id="" formControlName="type" class="form-select" formControlName="type">
                            <option value="a">Amount</option>
                            <option value="p">Percentage</option>
                        </select>
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('type')?.touched && registerform.get('type')?.hasError('required')">
                        <h4> <b>La type est requise</b></h4>
                    </div>
                    <div class="mb-3">
                        <label for="name" class="form-label mb-1">Valeur </label>
                        <input type="number" class="form-control" id="name" name="name" formControlName="monper">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('monper')?.touched && registerform.get('monper')?.hasError('required')">
                        <h4> <b>Le montant est obligatoire</b></h4>
                    </div>
                    <div class="mb-3">
                        <label for="name" class="form-label mb-1">limite d'utilisation</label>
                        <input type="number" class="form-control" id="name" name="name" formControlName="limit">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('limit')?.touched && registerform.get('limit')?.hasError('required')">
                        <h4> <b>La qualité d'utilisation est requise</b></h4>
                    </div>



                    <div class="mb-3" *ngIf="orders2">
                        <label for="name" class="form-label mb-1">Sélectionner un produit</label>
                        <div *ngFor="let pro of orders2;  let i = index">

                            <label>
                                
                                <input type="checkbox" (change)="productCheck($event, pro)" value="{{pro._id}}">


                                <img *ngIf="pro.images.length != 0;else other_content"
                                    src="{{baseurl}}static/public/{{pro.images[0]}}" alt="pic" width="10%">


                                <ng-template #other_content>
                                    <img class="pic-1" src="./assets/build/img/nopro2.png" width="10%">
                                </ng-template>
                                &nbsp;{{pro.title}} </label>
                            <hr>

                        </div>

                    </div>




                    <button type="submit" class="btn btn-signs"><b>Economiser</b></button>
                    <div class="comeBack_up" *ngIf="confirm">
                        <div *ngIf="confirm.status == false; else loggedOut">
                            <br>
                            <div class="alert alert-danger"><strong>{{ confirm.errmessage }}</strong></div>
                        </div>
                        <ng-template #loggedOut>
                            <br>
                            <div class="alert alert-success"><strong>{{ confirm.errmessage }}</strong></div>
                        </ng-template>
                    </div><br>
                    <button mat-button mat-dialog-close class="btn btn-signs" style="color:#fff"><b>Fermer</b></button>

                </form>
            </div>

            <!-- Modal footer -->
            <!-- <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
          </div> -->

        </div>
    </div>
</div>